# YlChat
This gem provides integration of the "YlChat" messenger service with your main
RoR application.

## Installation
Add this line to your application's Gemfile:

```ruby
gem 'yl_chat',
    git: 'https://git.yalantis.com/bohdan.nikolaienko/yl_chat_gem.git'
```

And then execute:
```bash
$ bundle
```

Or install it yourself as:
```bash
$ gem install yl_chat
```

Create an initializer:
```bash
$ rails g yl_chat:initializer
```

Generate a list of performers:
```bash
$ rails g yl_chat:performers
```
Inside performers implement needed methods following tips in comments.
Notice, that by default performers method 'authorized?' returns :true and
'perform' do nothing and returns nil.

Inside the routes.rb file mount needed routes
```ruby
mount YlChat::Engine => "api/chat"
```

## User disconnection
The next method provides an ability to disconnect a user from all chat channels:
```ruby
YlChat::DisconnectUser.perform("user_uid")
```
